%% Helper function for FFTlab
%% Change one value in array 'y' for 'x' closest to xy(1)
%%
%% Parameters:
%%      x - argument of the function being set (time or frequency)
%%	y - value of the function being set 
%%	xy - array with two values: [ x_of_selection_point, y_to_set ]
%%	real_part - if true, setting the real part of y, otherwise setting the imaginary part
%%
%% Returns:
%%	ynew - edited complex-valued array 'y'

function ynew = selection1(x,y,xy,real_part)

	ynew = y;

	[~,n] = min(abs(x - xy(1)));		% nearest point

	if real_part
		ynew(n) = xy(2) + 1i*imag(y(n));
	else
		ynew(n) = real(y(n)) + 1i*xy(2);
	end
end

